uk.gov.hmrc.ct.computations

# CP285

###
Related Doc: package computations

#### case class CP285(value: Option[LocalDate]) extends CtBoxIdentifier with CtOptionalDate with Input with ValidatableBox[ComputationsBoxRetriever] with TradingLossesValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TradingLossesValidation, CtTypeConverters, ValidatableBox[ComputationsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalDate, OptionalCtValue[LocalDate], CtValue[Option[LocalDate]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP285
2. Serializable
3. Serializable
4. Product
5. Equals
6. TradingLossesValidation
7. CtTypeConverters
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalDate
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP285(value: Option[LocalDate])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def allLossesOffsetByNonTradingProfit(cp118: Int, cato01: Int): Boolean

   Definition Classes
     TradingLossesValidation

7. #### def answeredNoToCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

   Definition Classes
     TradingLossesValidation

8. #### def answeredNoToTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

   Definition Classes
     TradingLossesValidation

9. #### def answeredYesToCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

   Definition Classes
     TradingLossesValidation

10. #### def answeredYesToCurrentTradingLossesAgainstToPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

11. #### def answeredYesToTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

12. #### def asBoxString: Option[String]

    Definition Classes
      CtValue

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### def asLocalDate: Option[LocalDate]

    Definition Classes
      CtOptionalDate

15. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

16. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

17. #### def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

19. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

22. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

23. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

24. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

25. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

26. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

27. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

28. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

30. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

31. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

32. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

33. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

34. #### def hasNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

35. #### def hasTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

36. #### def hasTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

37. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

38. #### def id: String

    Definition Classes
      CtBoxIdentifier

39. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

40. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

41. #### def moreLossesThanNonTradeProfit(cp118: Int, cato01: Int): Boolean

    Definition Classes
      TradingLossesValidation

42. #### val name: String

    Definition Classes
      CtBoxIdentifier

43. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### def netTradingProfitEqualsTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

45. #### def netTradingProfitGreaterThanTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

46. #### def netTradingProfitPlusNonTradingProfitEqualsZero(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

47. #### def netTradingProfitPlusNonTradingProfitGreaterThanZero(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

48. #### def noLossesWithNonTradingProfit(cp118: Int, cato01: Int): Boolean

    Definition Classes
      TradingLossesValidation

49. #### def noNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

50. #### def noTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

51. #### def noTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

52. #### def noTradingProfitOrLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

53. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

54. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

55. #### def nonTradingProfitNotGreaterThanTradingLoss(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

56. #### def notAnsweredCurrentTradingLossesAgainstNonTradingProfit(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

57. #### def notAnsweredTradingLossesNotUsedFromPreviousPeriod(boxRetriever: ComputationsBoxRetriever)(): Boolean

    Definition Classes
      TradingLossesValidation

58. #### final def notify(): Unit

    Definition Classes
      AnyRef

59. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

60. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

61. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

62. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

63. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

64. #### def sumOfBroughtForwardErrors(retriever: ComputationsBoxRetriever): Set[CtValidation]

    Definition Classes
      TradingLossesValidation

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def validate(boxRetriever: ComputationsBoxRetriever): Set[CtValidation]

    Definition Classes
      CP285 → ValidatableBox

67. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

71. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

72. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

73. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

76. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

77. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

78. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

79. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

81. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

82. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

84. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

85. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

86. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

87. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

88. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

89. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

90. #### def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

91. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

92. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

94. #### def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

95. #### def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

96. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

98. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

99. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

100. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

     Definition Classes
       ExtraValidation

101. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

102. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

103. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

104. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

105. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

106. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

107. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

108. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

109. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

110. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

111. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

     Definition Classes
       ExtraValidation

112. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

113. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

114. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

115. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

116. #### val value: Option[LocalDate]

     Definition Classes
       CP285 → CtValue

117. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

118. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

119. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TradingLossesValidation

### Inherited from CtTypeConverters

### Inherited from ValidatableBox[ComputationsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalDate

### Inherited from OptionalCtValue[LocalDate]

### Inherited from CtValue[Option[LocalDate]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped